
// TestComponent.c
//
// Specifies the main source file of the component. Add initialization and event registrations to
// the files COMPONENT_INIT functions.


// Include the core framework C APIs.
#include "legato.h"

uint8_t onoff = 0;
// Include your component's API interfaces.
#include "interfaces.h"
void _LedTimerTimeout(le_timer_Ref_t timerRef)
{
    if (((++onoff) & 0x01) == 0)
    {
        networkLed_Activate();
    }
    else
    {
        networkLed_Deactivate();
    }
}


// This function is called only once on startup.  Place your initialization and event registration
// here.
COMPONENT_INIT
{
    // Write in the log that this component has started.
    LE_INFO("Component TestComponent started.");

    networkLed_SetPushPullOutput(LE_GPIO_ACTIVE_HIGH, false);

    le_timer_Ref_t timesyncTimer = le_timer_Create("led_timer");
    le_timer_SetHandler(timesyncTimer, _LedTimerTimeout);
    le_timer_SetMsInterval(timesyncTimer, 100); // led sequence in steps of 100 ms
    le_timer_SetRepeat(timesyncTimer, 0);
    le_timer_Start(timesyncTimer);
}
