#!/bin/bash

mksys ${LEGATO_DEF_FILE} -s components -t ${LEGATO_TARGET} -w ${LEGATO_OBJECT_DIR} -o ${LEGATO_OUTPUT_DIR} 
echo "Generate cwe File"
systocwe ${LEGATO_TARGET} ${LEGATO_UPDATE_FILE} tmp

echo "Move .cwe file to root folder"
cp tmp/legato-squashfs.ubi.cwe Test.${LEGATO_TARGET}.cwe

if [ "${LEGATO_TARGET}" == "wp77xx" ]; then
 if [ "${TEST_LEGATO_RELEASE}" == "15" ]; then
   image_path=${WP77XX_DEVICE_IMAGES}/9999999_9907618_SWI9X06Y_02.36.08.09_00_GENERIC_001.079_000-full.spk
 else
   image_path=${WP77XX_DEVICE_IMAGES}/9999999_9907618_SWI9X06Y_02.36.06.00_00_GENERIC_001.071_001-full.spk
 fi
else
  echo "Unknown target ${LEGATO_TARGET}, not creating spk"
  return
fi

echo "Merge with generic release and generate spk File"
echo "$image_path"
swicwe -c -o Test.${LEGATO_TARGET}.spk Test.${LEGATO_TARGET}.cwe ${image_path}
swicwe --parse Test.${LEGATO_TARGET}.spk
